buttons = {}

function buttons.load()
	buttons.width = 100
	buttons.height = 50
	buttons.centreX = (screen.width/2) - (buttons.width/2)
	buttons.centreY = (screen.height/2) - (buttons.height/2)
	buttonFont = love.graphics.newFont(18)
end

function buttons.update(dt)
	if screen.changed == true then
		buttons.centreX = (screen.width/2) - (buttons.width/2)
		buttons.centreY = (screen.height/2) - (buttons.height/2)
	end
end

function buttons.draw()
	if player.isDead == true then
		love.graphics.setColor(255, 0, 0, 255)
		love.graphics.setFont(buttonFont)
		love.graphics.rectangle("line", buttons.centreX, buttons.centreY + (buttons.height*1.5), buttons.width, buttons.height)
		love.graphics.print("Main Menu", buttons.centreX + 1, buttons.centreY + (buttons.height * 1.75))
		love.graphics.setFont(mainFont)
		love.graphics.setColor(255, 255, 255, 255)
	end
end

function buttons.mousepressed(x,y,button)
	if button == 1 and x >= buttons.centreX and x <= buttons.centreX + buttons.width and y >= buttons.centreY + (buttons.height*1.5) and y <= (buttons.centreY + (buttons.height*1.5)) + buttons.height and player.isDead == true then
		player.isDead = false
		health.value = health.max
		love.load()
	end
end