player = {}
function player.load()
		player.img = love.graphics.newImage("assets/images/player.png")
		player.width = player.img:getWidth()
		player.height = player.img:getHeight()
		player.x = (screen.width / 2) - (player.width / 2)
		player.y = (screen.height / 2) - (player.height / 2)
		player.spawnX = player.x
		player.spawnY = player.y
		player.isDead = false
			player.deadTxt = "You Died! Life's a bark, innit?"
			deadFont = love.graphics.newFont(60)
			player.deadWidth = deadFont:getWidth(player.deadTxt)
			player.deadHeight = deadFont:getHeight(player.deadTxt)

	player.vel = {}
		player.vel.default = 2
		player.vel.active = 2
		player.vel.max = player.vel.default * 2
		player.vel.acceleration = 0.5
end

function player.draw()
	love.graphics.draw(player.img, player.x, player.y)
end

function player.control(dt)
	--
	if player.vel.active > player.vel.max then
		player.vel.active = player.vel.max
	elseif player.vel.active < player.vel.default then
		player.vel.active = player.vel.default
	end


	--Move
	if love.keyboard.isDown("w") then
		player.y = player.y - player.vel.active
		--if player.y <= --map.threshold then
			--player.y = --map.threshold
			--map.y = --map.y + player.vel.active
		--end
	elseif love.keyboard.isDown("s") then
		player.y = player.y + player.vel.active
		--if player.y + player.height >= screen.height - --map.threshold then
		--	player.y = screen.height - player.height - --map.threshold
			--map.y = --map.y - player.vel.active
		--end
	end
	if love.keyboard.isDown("a") then
		player.x = player.x - player.vel.active
		--if player.x <= --map.threshold * (16/9) then
		--	player.x = --map.threshold * (16/9)
			--map.x = --map.x + player.vel.active
		--end
	elseif love.keyboard.isDown("d") then
		player.x = player.x + player.vel.active
		--if player.x + player.width >= screen.width - --map.threshold * (16/9) then
		--	player.x = screen.width - player.width - --map.threshold * (16/9)
			--map.x = --map.x - player.vel.active
		--end
	end

	--Sprint
	if love.keyboard.isDown("lshift") then
		player.vel.active = player.vel.active + player.vel.acceleration
	else player.vel.active = player.vel.active - player.vel.acceleration
	end

end

function player.death()		
		player.isDead = true
		love.graphics.setColor(0, 0, 0, 255)
		love.graphics.rectangle("fill", 0, 0, screen.width, screen.height)
		love.graphics.setColor(255, 255, 255, 255)

		love.graphics.setColor(255, 0, 0, 255)
			love.graphics.setFont(deadFont)
			love.graphics.print(player.deadTxt, (screen.width/2) - (player.deadWidth/2), (screen.height/2) - (player.deadHeight/2))
			love.graphics.setFont(mainFont)
		love.graphics.setColor(255, 255, 255, 255)
end