deer = {count = 0, countMax = 7}
deer.removed = false
deer.img = love.graphics.newImage("assets/images/deer.png")

function deer.spawn(x,y)
	local id = #deer+1

	deer[id] = {
	x = x,
	y = y,
	removed = false,
	}
	return id
end

function deer.increase()
if tick <= 0 and deer.count == 0 then
	deer.spawn(love.math.random(960), love.math.random(540))
	deer.count = deer.count + 1
	elseif tick <= 0 and deer.count < deer.countMax then--and deer.count < 5 then
		if chance >= 1 and chance < 3 then
			deer.spawn(deer[1].x + love.math.random(160), deer[1].y + love.math.random(160))
		elseif chance >= 3 and chance < 5 then
			deer.spawn(deer[1].x - love.math.random(160), deer[1].y - love.math.random(160))
		elseif chance >= 5 and chance < 7 then
			deer.spawn(deer[1].x - love.math.random(160), deer[1].y + love.math.random(160))
		elseif chance >= 7 and chance < 10 then
			deer.spawn(deer[1].x + love.math.random(160), deer[1].y - love.math.random(160))
		end
		deer.count = deer.count + 1
	end
end


function deer.update(dt)
	deer.increase()
end

function deer.draw()
	for i,v in ipairs(deer) do
		love.graphics.draw(deer.img, v.x, v.y)
	end
end